package com.ruoyi.system.service.impl;

import com.ruoyi.system.api.domain.SysOperLog;
import com.ruoyi.system.mapper.SysOperLogMapper;
import com.ruoyi.system.service.ISysOperLogService;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SysOperLogServiceImpl implements ISysOperLogService {
   @Autowired
   private SysOperLogMapper operLogMapper;

   public int insertOperlog(SysOperLog operLog) {
      return this.operLogMapper.insertOperlog(operLog);
   }

   public List<SysOperLog> selectOperLogList(SysOperLog operLog) {
      return this.operLogMapper.selectOperLogList(operLog);
   }

   public int deleteOperLogByIds(Long[] operIds) {
      return this.operLogMapper.deleteOperLogByIds(operIds);
   }

   public SysOperLog selectOperLogById(Long operId) {
      return this.operLogMapper.selectOperLogById(operId);
   }

   public void cleanOperLog() {
      this.operLogMapper.cleanOperLog();
   }
}
